Get your account
curl --request GET \
--url https://api.pomerado.ai/v1/account \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pomerado.ai/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pomerado.ai/v1/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "acct_0f8e2d1c4b3a49e8a7f6e5d4c3b2a190",
"type": "personal",
"plan": "free",
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>"
},
"role": "owner",
"permissions": [
"tools:read"
],
"features": {
"sms_numbers": true,
"team": true,
"passwordless_logins": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}Account
Get your account
Your account: whether it is Personal or Business, its plan, you as its member (email, name and role), its organization for Business, what your role holds, and which features it has.
GET
/
v1
/
account
Get your account
curl --request GET \
--url https://api.pomerado.ai/v1/account \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pomerado.ai/v1/account', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.pomerado.ai/v1/account"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "acct_0f8e2d1c4b3a49e8a7f6e5d4c3b2a190",
"type": "personal",
"plan": "free",
"user": {
"id": "<string>",
"email": "<string>",
"name": "<string>"
},
"organization": {
"id": "<string>",
"name": "<string>"
},
"role": "owner",
"permissions": [
"tools:read"
],
"features": {
"sms_numbers": true,
"team": true,
"passwordless_logins": true
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"retryable": true,
"docs_url": "<string>",
"details": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Your account
an account ID: acct_ and 32 lowercase hex digits
Example:
"acct_0f8e2d1c4b3a49e8a7f6e5d4c3b2a190"
Available options:
personal, business free or premium for a Personal account, business for a Business account, or service for an account Pomerado runs with no plan limits
Available options:
free, premium, business, service Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
owner, admin, member What the member's role holds
Available options:
tools:read, usage:read, tools:build, runs:create, jobs:read, jobs:cancel, connections:read, credentials:manage, api_keys:manage, billing:manage Show child attributes
Show child attributes